Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038053
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminoralways2018-03-06 11:542018-03-20 16:47
ReporterlmonrealView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision71c0b6e1ab48
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038053: Sales Order Report when there is no values it is displaying "null"

DescriptionIf I launch a sales report for a product that has not been sold in the date specfied it is showing "null" as value.
Steps To Reproduce1. Go to Sales Order Report
2. Select a date
3. Select a category
4. Select a product that has not been sold during these dates
TagsNo tags attached.
Attached Filespng file icon Null.png [^] (27,616 bytes) 2018-03-06 11:54

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103103)
collazoandy4 (developer)
2018-03-08 17:55

Test Plan
  As International Group Admin Role
    Go to Sales Order Report and set From Date/To Date: Today
      Click on HTML Format button and check no null entries are shown
      Set From Date: Today minus two years
      Click on HTML Format button and check the currency symbols are shown
(0103363)
aferraz (developer)
2018-03-20 10:06

Moved to minor as per http://wiki.openbravo.com/wiki/Bug_Reporting_Guidelines [^]
(0103364)
hgbot (developer)
2018-03-20 10:07

Repository: erp/devel/pi
Changeset: 71c0b6e1ab48ac21f2649e8878fab5620334f563
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Mar 08 11:57:07 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/71c0b6e1ab48ac21f2649e8878fab5620334f563 [^]

Fixes issue 38053:Sales Order Report when there is no values it is displaying
"null"

When the report has no values to show the currency symbols shows null value

A validation was added to the currency symbol fields to show empty string when
it's null

---
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderJR.jrxml
---
(0103365)
aferraz (developer)
2018-03-20 10:08

Code review + Testing OK
(0103373)
hudsonbot (developer)
2018-03-20 16:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/19a28ee036f0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-06 11:54 lmonreal New Issue
2018-03-06 11:54 lmonreal Assigned To => Triage Finance
2018-03-06 11:54 lmonreal File Added: Null.png
2018-03-06 11:54 lmonreal Modules => Core
2018-03-06 11:54 lmonreal Triggers an Emergency Pack => No
2018-03-06 12:22 dmiguelez Assigned To Triage Finance => collazoandy4
2018-03-08 17:54 collazoandy4 Status new => scheduled
2018-03-08 17:55 collazoandy4 Note Added: 0103103
2018-03-20 10:06 aferraz Note Added: 0103363
2018-03-20 10:06 aferraz Severity major => minor
2018-03-20 10:07 hgbot Checkin
2018-03-20 10:07 hgbot Note Added: 0103364
2018-03-20 10:07 hgbot Status scheduled => resolved
2018-03-20 10:07 hgbot Resolution open => fixed
2018-03-20 10:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/71c0b6e1ab48ac21f2649e8878fab5620334f563 [^]
2018-03-20 10:08 aferraz Review Assigned To => aferraz
2018-03-20 10:08 aferraz Note Added: 0103365
2018-03-20 10:08 aferraz Status resolved => closed
2018-03-20 10:08 aferraz Fixed in Version => 3.0PR18Q2
2018-03-20 16:47 hudsonbot Checkin
2018-03-20 16:47 hudsonbot Note Added: 0103373


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker